Search for %s
- Search 7.x for %s
- Search 8.9.x for %s
- Search 10.3.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| CredentialFormTest::testCredentialFrom | function | core/ |
Test the credential form. |
| cron-curl.sh | file | core/ |
#!/bin/sh curl --silent --compressed http://example.com/cron/YOURKEY |
| cron-lynx.sh | file | core/ |
#!/bin/sh /usr/bin/lynx -source http://example.com/cron/YOURKEY > /dev/null 2>&1 |
| Cron::$accountSwitcher | property | core/ |
The account switcher service. |
| Cron::$drupalProxyOriginalServiceId | property | core/ |
The id of the original proxied service. |
| Cron::$service | property | core/ |
The real proxied service, after it was lazy loaded. |
| Cron::$state | property | core/ |
The state service. |
| Cron::invokeCronHandlers | function | core/ |
Invokes any cron handlers implementing hook_cron. |
| Cron::lazyLoadItself | function | core/ |
Lazy loads the real service from the container. |
| Cron::processQueues | function | core/ |
Processes cron queues. |
| Cron::setCronLastTime | function | core/ |
Records and logs the request time for this cron invocation. |
| Cron::__construct | function | core/ |
Constructs a cron object. |
| Cron::__construct | function | core/ |
Constructs a ProxyClass Drupal proxy object. |
| CronAccessCheck | class | core/ |
Access check for cron routes. |
| CronAccessCheck.php | file | core/ |
|
| CronAccessCheck::access | function | core/ |
Checks access. |
| CronController::__construct | function | core/ |
Constructs a CronController object. |
| CronForm::$state | property | core/ |
Stores the state storage service. |
| CronForm::getEditableConfigNames | function | core/ |
Gets the configuration names that will be editable. |
| CronForm::submitForm | function | core/ |
Form submission handler. |
| CronForm::__construct | function | core/ |
Constructs a CronForm object. |
| CronQueueTest | class | core/ |
Tests the Cron Queue runner. |
| CronQueueTest.php | file | core/ |
|
| CronQueueTest::$connection | property | core/ |
The database connection. |
| CronQueueTest::$cron | property | core/ |
The cron service. |
| CronQueueTest::$currentTime | property | core/ |
The fake current time used for queue worker / cron testing purposes. |
| CronQueueTest::$modules | property | core/ |
The modules to enable. |
| CronQueueTest::setUp | function | core/ |
|
| CronQueueTest::testDatabaseQueueReturnTypes | function | core/ |
Tests that database queue implementation complies with interfaces specs. |
| CronQueueTest::testDelayException | function | core/ |
Tests that DelayedRequeueException behaves as expected when running cron. |
| CronQueueTest::testExceptions | function | core/ |
Tests that exceptions thrown by workers are handled properly. |
| CronQueueTest::testLeaseTime | function | core/ |
Tests that leases are expiring correctly, also within the same request. |
| CronQueueTest::testQueueWorkerManagerSafeguard | function | core/ |
Test safeguard against invalid annotations in QueueWorkerManager. |
| CronQueueTestBrokenQueue | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_broken_queue", title = @Translation("Broken queue test"), cron = {"time" = 60} ) |
| CronQueueTestBrokenQueue.php | file | core/ |
|
| CronQueueTestBrokenQueue::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestDatabaseDelayException | class | core/ |
A queue worker for testing cron exception handling. |
| CronQueueTestDatabaseDelayException.php | file | core/ |
|
| CronQueueTestDatabaseDelayException::DELAY_INTERVAL | constant | core/ |
|
| CronQueueTestDatabaseDelayException::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestException | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_exception", title = @Translation("Exception test"), cron = {"time" = 1} ) |
| CronQueueTestException.php | file | core/ |
|
| CronQueueTestException::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestLeaseTime | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_lease_time", title = @Translation("Lease time test"), cron = {"time" = 100} ) |
| CronQueueTestLeaseTime.php | file | core/ |
|
| CronQueueTestLeaseTime::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestMemoryDelayException | class | core/ |
A queue worker for testing cron exception handling. |
| CronQueueTestMemoryDelayException.php | file | core/ |
|
| CronQueueTestMemoryDelayException::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestRequeueException | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_requeue_exception", title = @Translation("RequeueException test"), cron = {"time" = 60} ) |
Pagination
- Previous page
- Page 272
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.